Subject: [kitten] advancing some documents to the IESG

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 30 Aug 2016 21:51:44 -0400 (EDT)

(was Re: [kitten] I-D Action: draft-ietf-kitten-krb-auth-indicator-02.txt)

Looping back to this thread, now that we have the extra reviews from
Richard and Gerard, the chairs are comfortable advancing it to the IESG; I
will shepherd.  In accordance with our new workflow, there will not be an
additional WGLC, but feel free to comment (or object) at any time.

We also have draft-ietf-kitten-rfc6112bis active, for which Shawn has
published an updated version (with help from the secretariat).  It needs a
few more tweaks to the wording and attack description, but the core
protocol portions look good, so once the revisions are in place, that can
also move forward to the IESG.  As always, comments are always welcome.

draft-ietf-kitten-rfc5653bis went through WGLC at the same time as
rfc6112bis, and also has an updated version as a result of the comments
from WGLC.  (As a reminder: the main goal is to allow GSSAPI error tokens
to be generated along with the GSSException that indicates the failure,
but the review also indicated issues with the stream-based GSSContext
methods, leading to their removal from the current draft.)  Richard,
Gerard, and everyone else are encouraged to review that document.

draft-ietf-kitten-pkinit-freshness is waiting for a shepherd writeup and
then is expected to advance to the IESG.

In other PKINIT-related work, the most recent threads the chairs have
about draft-ietf-kitten-pkinit-alg-agility indicate that it should also be
ready to advance, but given how long ago they were, some additional
research is in order to verify that.  More (re-)reviews wouldn't hurt,
either!

Please feel free to contact the chairs (or the list) with any questions,
concerns, or most especially document reviews.

-Ben
for the kitten chairs

On Mon, 27 Jun 2016, Nathaniel McCallum wrote:

> I'm happy to do so. But, AFAIK, the only review thus far has been
> yours. There were several other +1's to WG adoption, but no other
> reviews.
>
> On Sat, 2016-06-25 at 23:46 -0400, Benjamin Kaduk wrote:
> > Yes, it would be good to move this document forward, especially since
> > it
> > already has implementation experience.  Would you be interested in
> > trying
> > out the proposal to manually track reviews and (mostly) skip WGLC for
> > this
> > document?  That thread has not gotten many responses yet...
> >
> > -Ben
> >
> > On Thu, 23 Jun 2016, Nathaniel McCallum wrote:
> >
> > > I propsed this and hear no response. Can we move this draft
> > forward?
> > >
> > > On Mon, 2016-05-16 at 12:41 -0400, Nathaniel McCallum wrote:
> > > > With this revision, I believe that we are in the home stretch on
> > this
> > > > draft. Unless anyone has any objections, I'd like to request that
> > the
> > > > chairs begin WGLC.
> > > >
> > > > On Mon, 2016-05-16 at 09:17 -0700, [email-masked] wrote
> > :
> > > > > A New Internet-Draft is available from the on-line Internet-
> > Drafts
> > > > > directories.
> > > > > This draft is a work item of the Common Authentication
> > Technology
> > > > > Next Generation of the IETF.
> > > > >
> > > > >         Title           : Authentication Indicator in Kerberos
> > > > > Tickets
> > > > >         Authors         : Anupam Jain
> > > > >                           Nathan Kinder
> > > > >                           Nathaniel McCallum
> > > > >   Filename        : draft-ietf-kitten-krb-auth-indicator-02.txt
> > > > >   Pages           : 5
> > > > >   Date            : 2016-05-16
> > > > >
> > > > > Abstract:
> > > > >    This document specifies an extension in the Kerberos
> > protocol
> > > > >    [RFC4120].  It defines a new authorization data type AD-
> > > > >    AUTHENTICATION-INDICATOR.  The purpose of introducing this
> > data
> > > > > type
> > > > >    is to include an indicator of the strength of a client's
> > > > >    authentication in the service tickets so that application
> > > > > services
> > > > >    can use it as an input into policy decisions.
> > > > >
> > > > >
> > > > > The IETF datatracker status page for this draft is:
> > > > > https://datatracker.ietf.org/doc/draft-ietf-kitten-krb-auth-ind
> > icat
> > > > > or
> > > > > /
> > > > >
> > > > > There's also a htmlized version available at:
> > > > > https://tools.ietf.org/html/draft-ietf-kitten-krb-auth-indicato
> > r-02
> > > > >
> > > > > A diff from the previous version is available at:
> > > > > https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-krb-auth-in
> > dica
> > > > > to
> > > > > r-02
> > > > >
> > > > >
> > > > > Please note that it may take a couple of minutes from the time
> > of
> > > > > submission
> > > > > until the htmlized version and diff are available at
> > > > > tools.ietf.org.
> > > > >
> > > > > Internet-Drafts are also available by anonymous FTP at:
> > > > > ftp://ftp.ietf.org/internet-drafts/
> > > > >
> > > > > _______________________________________________
> > > > > Kitten mailing list
> > > > > [email-masked]
> > > > > https://www.ietf.org/mailman/listinfo/kitten
> > > >
> > > > _______________________________________________
> > > > Kitten mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/kitten
> > >
> > > _______________________________________________
> > > Kitten mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/kitten
> > >
>

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 31 Aug 2016 09:59:07 +0100

Thanks Ben! I look forward to us doing this queue-clearing and
hope the WG find the workflow better.

S.